#! ruby -Ku
  # encoding: utf-8
  # copy 'ostruct_r.rb' to the ruby library path
require "fileutils"

def remove_old_file()
    ary = $:
    count = 0
    ary.each do |dir|
      next  if dir =~ /^\./
      dir = dir.gsub(/\\/, "/")
      dir = dir.sub(/\/+$/, "")
      filename = dir + "/ostruct_r.rb"
      if test(?e, filename)
        File.unlink(filename)
        puts "delete '#{filename}'"
        count += 1
      end
    end
    return count
end

## main
src1 = "ostruct_r.rb"
if !test(?e, src1)
  puts "can't find '#{src1}' "
  exit
end

dest_dir = nil
ary = $:
ary.each {|dir|
  dir = dir.gsub(/\\/, "/")
  if dir =~ /site_ruby\/\d[^\/]+$/
    dest_dir = dir
    break
  end
}
if dest_dir
  remove_old_file()
  w = []
  if test(?e, src1)
    FileUtils.cp(src1, dest_dir, {:preserve=>true})
    w << "'#{src1}'"
  end
  puts "copy #{w.join(', ')} to '#{dest_dir}'"
else
  puts "can't copy '#{src1}'"
end
